package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.advise.ProjectListVO;
import cn.com.countrygarden.bi.main.dto.advise.RegionListVO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.CkPublicBenefits;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.text.ParseException;
import java.util.List;

/**
 * <p>
 *   公共收益数据表业务处理接口
 * </p>
 *
 * @author 吕伟峰
 * @date 2021-05-07
 * @version V1.0
 */
public interface CkPublicBenefitsService  {


    Result queryPageList(CkPublicBenefits ckPublicBenefits, int size,int page,AccessToken accessToken);

    List<RegionListVO> getRegionDate(AccessToken accessToken);

    List<ProjectListVO> getPojDate(AccessToken accessToken, String organCode);

    Result add(CkPublicBenefits ckPublicBenefits, AccessToken accessToken) throws ParseException;

    Result del(Integer id, AccessToken accessToken);

    Result one(Integer id, AccessToken accessToken);

    Result edit(CkPublicBenefits ckPublicBenefits, AccessToken accessToken);

    Result auto(String orgCode,String commCode,String createName,String year,AccessToken accessToken) throws ParseException;

    Result getrevenue(AccessToken accessToken,HttpServletRequest request) throws IOException;
}
